Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057662 - [abrt] gpodder: sqlite3_value_type(): python2.7 killed by SIGSEGV
Summary: [abrt] gpodder: sqlite3_value_type(): python2.7 killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: sqlite3
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact:
URL:
Whiteboard: abrt_hash:3f6a2ad1945c7afb8b2d26bd95c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-24 15:10 UTC by mastaiza
Modified: 2015-06-29 14:44 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:44:04 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-01-24 15:10 UTC, mastaiza
no flags Details
File: cgroup (deleted)
2014-01-24 15:10 UTC, mastaiza
no flags Details
File: core_backtrace (deleted)
2014-01-24 15:10 UTC, mastaiza
no flags Details
File: dso_list (deleted)
2014-01-24 15:11 UTC, mastaiza
no flags Details
File: environ (deleted)
2014-01-24 15:11 UTC, mastaiza
no flags Details
File: limits (deleted)
2014-01-24 15:11 UTC, mastaiza
no flags Details
File: maps (deleted)
2014-01-24 15:11 UTC, mastaiza
no flags Details
File: open_fds (deleted)
2014-01-24 15:11 UTC, mastaiza
no flags Details
File: proc_pid_status (deleted)
2014-01-24 15:11 UTC, mastaiza
no flags Details
File: var_log_messages (deleted)
2014-01-24 15:11 UTC, mastaiza
no flags Details
File: exploitable (deleted)
2014-01-24 15:11 UTC, mastaiza
no flags Details

Description mastaiza 2014-01-24 15:10:48 UTC
Version-Release number of selected component:
gpodder-2.20.3-2.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/bin/gpodder
crash_function: sqlite3_value_type
executable:     /usr/bin/python2.7
kernel:         3.12.8-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 sqlite3_value_type at sqlite3.c:64585
 #1 sqlite3_column_type at sqlite3.c:65244
 #2 _pysqlite_fetch_one_row at /usr/src/debug/Python-2.7.5/Modules/_sqlite/cursor.c:354
 #3 pysqlite_cursor_iternext at /usr/src/debug/Python-2.7.5/Modules/_sqlite/cursor.c:925
 #4 PyIter_Next at /usr/src/debug/Python-2.7.5/Objects/abstract.c:3107
 #5 builtin_map at /usr/src/debug/Python-2.7.5/Python/bltinmodule.c:1019
 #6 call_function at /usr/src/debug/Python-2.7.5/Python/ceval.c:4098
 #7 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.5/Python/ceval.c:2740
 #8 PyEval_EvalCodeEx at /usr/src/debug/Python-2.7.5/Python/ceval.c:3330
 #9 fast_function at /usr/src/debug/Python-2.7.5/Python/ceval.c:4194

Comment 1 mastaiza 2014-01-24 15:10:52 UTC
Created attachment 855011 [details]
File: backtrace

Comment 2 mastaiza 2014-01-24 15:10:56 UTC
Created attachment 855012 [details]
File: cgroup

Comment 3 mastaiza 2014-01-24 15:10:58 UTC
Created attachment 855013 [details]
File: core_backtrace

Comment 4 mastaiza 2014-01-24 15:11:12 UTC
Created attachment 855014 [details]
File: dso_list

Comment 5 mastaiza 2014-01-24 15:11:16 UTC
Created attachment 855015 [details]
File: environ

Comment 6 mastaiza 2014-01-24 15:11:18 UTC
Created attachment 855016 [details]
File: limits

Comment 7 mastaiza 2014-01-24 15:11:23 UTC
Created attachment 855017 [details]
File: maps

Comment 8 mastaiza 2014-01-24 15:11:29 UTC
Created attachment 855018 [details]
File: open_fds

Comment 9 mastaiza 2014-01-24 15:11:33 UTC
Created attachment 855019 [details]
File: proc_pid_status

Comment 10 mastaiza 2014-01-24 15:11:37 UTC
Created attachment 855020 [details]
File: var_log_messages

Comment 11 mastaiza 2014-01-24 15:11:40 UTC
Created attachment 855021 [details]
File: exploitable

Comment 12 Ville-Pekka Vainio 2014-01-25 08:45:47 UTC
This seems like an sqlite bug, reassigning.

Comment 13 Fedora End Of Life 2015-05-29 10:39:52 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-06-29 14:44:04 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.